org.wildfly.swarm.config.undertow

## Class Server.ServerResources

- java.lang.Object
- - org.wildfly.swarm.config.undertow.Server.ServerResources

- Enclosing class:
    Server<T extends Server<T>>

      public static class Server.ServerResources
      extends Object

  Child mutators for Server

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AJPListener` | `ajpListener(String key)`
    `List<AJPListener>` | `ajpListeners()` Get the list of AJPListener resources
    `Host` | `host(String key)`
    `List<Host>` | `hosts()` Get the list of Host resources
    `HTTPListener` | `httpListener(String key)`
    `List<HTTPListener>` | `httpListeners()` Get the list of HTTPListener resources
    `HttpsListener` | `httpsListener(String key)`
    `List<HttpsListener>` | `httpsListeners()` Get the list of HttpsListener resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerResources

          public ServerResources()

  - ### Method Detail

    - #### hosts

          public List<Host> hosts()

      Get the list of Host resources
      Returns:
        the list of resources

    - #### host

          public Host host(String key)

    - #### httpListeners

          public List<HTTPListener> httpListeners()

      Get the list of HTTPListener resources
      Returns:
        the list of resources

    - #### httpListener

          public HTTPListener httpListener(String key)

    - #### ajpListeners

          public List<AJPListener> ajpListeners()

      Get the list of AJPListener resources
      Returns:
        the list of resources

    - #### ajpListener

          public AJPListener ajpListener(String key)

    - #### httpsListeners

          public List<HttpsListener> httpsListeners()

      Get the list of HttpsListener resources
      Returns:
        the list of resources

    - #### httpsListener

          public HttpsListener httpsListener(String key)

Copyright © 2018 JBoss by Red Hat. All rights reserved.